Loading...
Searching...
No Matches
options.c File Reference
`#include "options.h"`
Include dependency graph for options.c:

## Functions

gboolean | janus_options_parse (janus_options *options, int argc, char *argv[])
| Helper method to parse the command line options.
void | janus_options_destroy (void)
| Helper method to get rid of the options parser resources.

## Function Documentation

## janus_options_destroy()

void janus_options_destroy | ( | void |  | ) |

Helper method to get rid of the options parser resources.

## janus_options_parse()

gboolean janus_options_parse | ( | janus_options * | opts,
|  | int | argc,
|  | char * | argv[] )

Helper method to parse the command line options.

Parameters

  opts | A pointer to the janus_options instance to save the options to
  argc | The number of arguments
  argv | The command line arguments

Returns
  TRUE if successful, FALSE otherwise